/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include <qlayout.h>

#include <klocale.h>
#include <kglobal.h>
#include <kparts/genericfactory.h>

#include <modmount.h>
#include <dbsdinitglobal.h>

#include "dbsdmount.h"

typedef KGenericFactory<DBSDMount, QWidget> DBSDMountFactory;
K_EXPORT_COMPONENT_FACTORY(kcm_DBSDMount, DBSDMountFactory("kcm_dbsdmount"))

extern "C"
{
	KCModule *create_dbsdmount(QWidget  *parent, const char  *name)
	{
		DBSDGlobalInitializer::initGlobal();
		return  new DBSDMount(parent, name);
	};
}

DBSDMount::DBSDMount(QWidget  *parent, const char  *name,  __unused  const QStringList &  list)
	:	DBSDKCModule(new modMount, parent, name, list)
{
}

DBSDMount::~DBSDMount() {
}
